ValidateDraft
POST
/api/v1/t/{tenant}/workflows/definitions/{definitionId}/draft/validate
const url = 'https://example.com/api/v1/t/example/workflows/definitions/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/draft/validate';const options = {method: 'POST'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/api/v1/t/example/workflows/definitions/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/draft/validateParameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters”tenant
required
string
Tenant slug
definitionId
required
string format: uuid
Responses
Section titled “ Responses ”OK
Media typeapplication/json
object
errors
required
object
key
additional properties
Array<string>
newFields
Array<object>
object
key
required
string
kind
required
labelDe
required
string
labelEn
required
string
isNew
required
boolean
documentTypeIds
required
Array<string>
newOptionKeys
required
Array<string>
aiAssistedScripts
Array<object>
object
stepName
required
string
fileName
required
string
fieldWrites
Array<object>
object
stepName
required
string
fieldKey
required
string
confidentialAiSteps
Array<object>
object
stepName
required
string
externalRecipients
Array<object>
object
stepName
required
string
templateName
required
string
language
required
string
source
required
recipientField
required
null | string
fixedRecipients
required
Array<string>
replyTo
required
string
allowConfidential
required
boolean
templateId
null | string format: uuid
templateVersion
null | integer format: uint32
allowAiRecipient
boolean
webhooks
Array<object>
object
stepName
required
string
endpointName
required
string
endpointHost
required
string
event
required
string
fields
required
Array<string>
allowConfidential
required
boolean
endpointId
null | string format: uuid
endpointVersion
null | integer format: uint32
tablesRead
Array<object>
object
stepName
required
string
table
required
string
filesCreated
Array<object>
object
stepName
required
string
fileTypeId
required
string format: uuid
contractsRead
Array<object>
object
stepName
required
string
contractTypeId
required
string format: uuid
signers
Array<object>
object
stepName
required
string
position
required
integer format: int32
source
required
label
required
string
level
required
fieldMode
required
allowConfidential
required
boolean
userId
null | string format: uuid
firstNameField
null | string
lastNameField
null | string
emailField
null | string
mobileField
null | string
dataTables
Array<object>
object
key
required
string
labelDe
required
string
labelEn
required
string
rows
required
integer format: int32
existing
required
boolean
Example
{ "newFields": [ { "kind": "Text" } ], "externalRecipients": [ { "source": "Vendor", "allowAiRecipient": false } ], "signers": [ { "source": "Member", "level": "Ses", "fieldMode": "TypeTemplate" } ]}Forbidden
Media typeapplication/problem+json
object
type
null | string
title
null | string
status
null | integer format: int32
detail
null | string
instance
null | string
Examplegenerated
{ "type": "example", "title": "example", "status": 1, "detail": "example", "instance": "example"}Not Found
Too Many Requests
Media typeapplication/problem+json
object
type
null | string
title
null | string
status
null | integer format: int32
detail
null | string
instance
null | string
Examplegenerated
{ "type": "example", "title": "example", "status": 1, "detail": "example", "instance": "example"}Service Unavailable
Media typeapplication/problem+json
object
type
null | string
title
null | string
status
null | integer format: int32
detail
null | string
instance
null | string
Examplegenerated
{ "type": "example", "title": "example", "status": 1, "detail": "example", "instance": "example"}